---------------------
PatchSet 4001 
Date: 2002/04/13 17:11:41
Author: serassio
Branch: nt-2_5
Tag: (none) 
Log:
Added Visual Studio Project for NCSA_auth

Members: 
	port/win32/squid.dsw:1.1.2.8->1.1.2.9 
	port/win32/update.cmd:1.1.2.3->1.1.2.4 
	port/win32/NCSA_auth/.cvsignore:1.1->1.1.4.1 
	port/win32/NCSA_auth/NCSA_auth.dsp:1.1->1.1.4.1 
	port/win32/fake_auth/fake_auth.dsp:1.1.2.2->1.1.2.3 

Index: squid/port/win32/squid.dsw
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/squid.dsw,v
retrieving revision 1.1.2.8
retrieving revision 1.1.2.9
diff -u -r1.1.2.8 -r1.1.2.9
--- squid/port/win32/squid.dsw	9 Apr 2002 19:04:41 -0000	1.1.2.8
+++ squid/port/win32/squid.dsw	13 Apr 2002 17:11:41 -0000	1.1.2.9
@@ -15,6 +15,21 @@
 
 ###############################################################################
 
+Project: "NCSA_auth"=".\NCSA_auth\NCSA_auth.dsp" - Package Owner=<4>
+
+Package=<5>
+{{{
+}}}
+
+Package=<4>
+{{{
+    Begin Project Dependency
+    Project_Dep_Name libmiscutil
+    End Project Dependency
+}}}
+
+###############################################################################
+
 Project: "PerlPreprocessing"=".\PerlPreprocessing.dsp" - Package Owner=<4>
 
 Package=<5>
@@ -338,6 +353,9 @@
     Begin Project Dependency
     Project_Dep_Name dnsserver
     End Project Dependency
+    Begin Project Dependency
+    Project_Dep_Name NCSA_auth
+    End Project Dependency
 }}}
 
 ###############################################################################
Index: squid/port/win32/update.cmd
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/Attic/update.cmd,v
retrieving revision 1.1.2.3
retrieving revision 1.1.2.4
diff -u -r1.1.2.3 -r1.1.2.4
--- squid/port/win32/update.cmd	8 Apr 2002 19:18:38 -0000	1.1.2.3
+++ squid/port/win32/update.cmd	13 Apr 2002 17:11:41 -0000	1.1.2.4
@@ -7,7 +7,7 @@
 copy %0\..\squidclient\%1\squidclient.exe %2\bin\squidclient.exe
 copy %0\..\fake_auth\%1\fake_auth.exe %2\libexec\fake_auth.exe
 copy %0\..\nt_auth\%1\nt_auth.exe %2\libexec\nt_auth.exe
-rem copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
+copy %0\..\ncsa_auth\%1\ncsa_auth.exe %2\libexec\ncsa_auth.exe
 copy %0\..\ldap_auth\%1\ldap_auth.exe %2\libexec\ldap_auth.exe
 rem copy %0\..\..\contrib\htpasswd\%1\htpasswd.exe %2\htpasswd.exe
 copy %0\..\cachemgr\%1\cachemgr.exe %2\libexec\cachemgr.exe
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/NCSA_auth/.cvsignore	Wed Feb 14 00:58:06 2007
@@ -0,0 +1,3 @@
+.cvsignore
+Debug
+Release
--- /dev/null	Wed Feb 14 00:55:47 2007
+++ squid/port/win32/NCSA_auth/NCSA_auth.dsp	Wed Feb 14 00:58:06 2007
@@ -0,0 +1,106 @@
+# Microsoft Developer Studio Project File - Name="NCSA_auth" - Package Owner=<4>
+# Microsoft Developer Studio Generated Build File, Format Version 6.00
+# ** DO NOT EDIT **
+
+# TARGTYPE "Win32 (x86) Console Application" 0x0103
+
+CFG=NCSA_auth - Win32 Debug
+!MESSAGE This is not a valid makefile. To build this project using NMAKE,
+!MESSAGE use the Export Makefile command and run
+!MESSAGE 
+!MESSAGE NMAKE /f "NCSA_auth.mak".
+!MESSAGE 
+!MESSAGE You can specify a configuration when running NMAKE
+!MESSAGE by defining the macro CFG on the command line. For example:
+!MESSAGE 
+!MESSAGE NMAKE /f "NCSA_auth.mak" CFG="NCSA_auth - Win32 Debug"
+!MESSAGE 
+!MESSAGE Possible choices for configuration are:
+!MESSAGE 
+!MESSAGE "NCSA_auth - Win32 Release" (based on "Win32 (x86) Console Application")
+!MESSAGE "NCSA_auth - Win32 Debug" (based on "Win32 (x86) Console Application")
+!MESSAGE 
+
+# Begin Project
+# PROP AllowPerConfigDependencies 0
+# PROP Scc_ProjName ""
+# PROP Scc_LocalPath ""
+CPP=cl.exe
+RSC=rc.exe
+
+!IF  "$(CFG)" == "NCSA_auth - Win32 Release"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 0
+# PROP BASE Output_Dir "Release"
+# PROP BASE Intermediate_Dir "Release"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 0
+# PROP Output_Dir "Release"
+# PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
+# ADD BASE RSC /l 0x410 /d "NDEBUG"
+# ADD RSC /l 0x410 /d "NDEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /machine:I386
+# ADD LINK32 /nologo /subsystem:console /machine:I386
+
+!ELSEIF  "$(CFG)" == "NCSA_auth - Win32 Debug"
+
+# PROP BASE Use_MFC 0
+# PROP BASE Use_Debug_Libraries 1
+# PROP BASE Output_Dir "Debug"
+# PROP BASE Intermediate_Dir "Debug"
+# PROP BASE Target_Dir ""
+# PROP Use_MFC 0
+# PROP Use_Debug_Libraries 1
+# PROP Output_Dir "Debug"
+# PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
+# PROP Target_Dir ""
+# ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
+# ADD BASE RSC /l 0x410 /d "_DEBUG"
+# ADD RSC /l 0x410 /d "_DEBUG"
+BSC32=bscmake.exe
+# ADD BASE BSC32 /nologo
+# ADD BSC32 /nologo
+LINK32=link.exe
+# ADD BASE LINK32 kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib kernel32.lib user32.lib gdi32.lib winspool.lib comdlg32.lib advapi32.lib shell32.lib ole32.lib oleaut32.lib uuid.lib odbc32.lib odbccp32.lib /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+# ADD LINK32 /nologo /subsystem:console /debug /machine:I386 /pdbtype:sept
+
+!ENDIF 
+
+# Begin Target
+
+# Name "NCSA_auth - Win32 Release"
+# Name "NCSA_auth - Win32 Debug"
+# Begin Group "Source Files"
+
+# PROP Default_Filter "cpp;c;cxx;rc;def;r;odl;idl;hpj;bat"
+# Begin Source File
+
+SOURCE=..\src\encrypt.c
+# End Source File
+# Begin Source File
+
+SOURCE=..\..\..\src\auth\basic\helpers\NCSA\ncsa_auth.c
+# End Source File
+# End Group
+# Begin Group "Header Files"
+
+# PROP Default_Filter "h;hpp;hxx;hm;inl"
+# End Group
+# Begin Group "Resource Files"
+
+# PROP Default_Filter "ico;cur;bmp;dlg;rc2;rct;bin;rgs;gif;jpg;jpeg;jpe"
+# End Group
+# End Target
+# End Project
Index: squid/port/win32/fake_auth/fake_auth.dsp
===================================================================
RCS file: /cvsroot/squid-sf//squid/port/win32/fake_auth/Attic/fake_auth.dsp,v
retrieving revision 1.1.2.2
retrieving revision 1.1.2.3
diff -u -r1.1.2.2 -r1.1.2.3
--- squid/port/win32/fake_auth/fake_auth.dsp	27 Mar 2002 21:01:11 -0000	1.1.2.2
+++ squid/port/win32/fake_auth/fake_auth.dsp	13 Apr 2002 17:11:41 -0000	1.1.2.3
@@ -39,6 +39,7 @@
 # PROP Use_Debug_Libraries 0
 # PROP Output_Dir "Release"
 # PROP Intermediate_Dir "Release"
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /GX /O2 /D "WIN32" /D "NDEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /c
 # ADD CPP /nologo /G6 /MT /W3 /GX /O2 /I "../../../include" /I "../../../src" /I "../include" /D "NDEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /YX /FD /c
@@ -62,6 +63,7 @@
 # PROP Use_Debug_Libraries 1
 # PROP Output_Dir "Debug"
 # PROP Intermediate_Dir "Debug"
+# PROP Ignore_Export_Lib 0
 # PROP Target_Dir ""
 # ADD BASE CPP /nologo /W3 /Gm /GX /ZI /Od /D "WIN32" /D "_DEBUG" /D "_CONSOLE" /D "_MBCS" /YX /FD /GZ /c
 # ADD CPP /nologo /G6 /MTd /W3 /Gm /GX /ZI /Od /I "../../../include" /I "../../../src" /I "../include" /D "_DEBUG" /D "WIN32" /D "_CONSOLE" /D "_MBCS" /D "HAVE_CONFIG_H" /YX /FD /GZ /c
